{
  "compilerOptions": {
    "target": "ES2017",
    "module": "ESNext",
    "jsx": "react-jsx",
    "lib": ["ES2017", "DOM", "DOM.Iterable"],
    "moduleResolution": "node",
    "strict": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "forceConsistentCasingInFileNames": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "noEmit": true,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@styles/*": ["src/styles/*"]
    },
    "types": ["@tarojs/taro", "webpack-env"],
    "typeRoots": ["node_modules/@types", "src/types"]
  },
  "include": [
    "src/**/*.ts",
    "src/**/*.tsx",
    "src/**/*.jsx"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "config"
  ]
}
